<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm"  autocomplete="off">
    <h3>
        <span jhiTranslate="mpmApp.annual.home.createLabelReg">Request Annual Leave</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h3>
    <br>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_name">Nama</label>
                <input type="text" class="form-control" name="field_name" id="field_name"
                    [(ngModel)]="picRole.name" [disabled]="readonly"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_NIK">NIK </label>
                <input type="text" class="form-control" name="NIK" id="field_NIK"
                    [(ngModel)]="picRole.nik" [disabled]="readonly"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_jabatan">Jabatan</label>
                <input type="text" class="form-control" name="jabatan" id="field_jabatan"
                    [(ngModel)]="picRole.jabatan" [disabled]="readonly"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_jblReqCuti">Jumlah Cuti Yang Diminta</label>
                <input type="text" class="form-control" name="jblReqCuti" id="field_jblReqCuti"
                    [(ngModel)]="picRole.jmbReqCuti" [disabled]="readonly"/>
            </div>
        </div>

        <div class="col-md-12">
            <label class="form-control-label"  for="field_insFroms">Pelaksanaan Cuti</label>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label class="form-control-label" for="field_dtStartTmln">Mulai Dari </label>
                <div class="input-group">
                    <p-calendar inputId="field_dtStart" name="input_dtStart" [(ngModel)]="dtStart" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                        dateFormat="dd-mm-yy"
                        [showTime]="true" [disabled]="readonly"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_dtFinishTmln">Sampai </label>
                <div class="input-group">
                    <p-calendar inputId="field_dtFinish" name="input_dtFinish" [(ngModel)]="dtFinish" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                        dateFormat="dd-mm-yy"
                        [showTime]="true" [disabled]="readonly"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_approved">Approval</label>
                <input type="text" class="form-control" name="approved" id="field_approved"
                    [(ngModel)]="picRole.app" [disabled]="readonly"/>
            </div>
        </div>
        <br>
        <br>
        <div class="col-md-12">
            <h5>
                <span>Diisi Dept Personalia</span>
               
            </h5>
        </div>
        <br>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_sisCuti">Sisa Cuti Tahunan</label>
                <input type="text" class="form-control" name="sisCuti" id="field_sisCuti"
                    [(ngModel)]="picRole.sisaCuti"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_hakCuti">Hak Cuti Tahunan</label>
                <input type="text" class="form-control" name="hakCuti" id="field_hakCuti"
                    [(ngModel)]="picRole.hakCuti"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_jmbHakCuti">Jumlah Hak Cuti</label>
                <input type="text" class="form-control" name="jmbHakCuti" id="field_jmbHakCuti"
                    [(ngModel)]="picRole.jmlHakCuti"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_cutYgDiabl">Cuti Yang Akan Diambil</label>
                <input type="text" class="form-control" name="cutYgDiabl" id="field_cutYgDiabl"
                    [(ngModel)]="picRole.cutiYgDiambil"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_sisCtiTgl">Sisa Cuti Tgl</label>
                <input type="text" class="form-control" name="sisCtiTgl" id="field_sisCtiTgl"
                    [(ngModel)]="picRole.sisCtiTgl"/>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_catatan">Catatan</label>
                <input type="text" class="form-control" name="Catatan" id="field_catatan"
                    [(ngModel)]="picRole.catatan"/>
            </div>
        </div>
    </div>

    <div class="ui-g-12">
        <hr>
        <div style="text-align: right">
            <button pButton type="submit"
                label="Simpan"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
            <button pButton class="btn btn-primary btn-sm float-right" 
                (click)="back()"
                label="Kembali"
                class="ui-button-danger flat-label-button">
            </button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>

</form>
